> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Graph Topology



## OpenAPI

````yaml /openapi.json get /api/v1/admin/orchestration/graphs/{graph_name}
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/admin/orchestration/graphs/{graph_name}:
    get:
      tags:
        - Admin Orchestration
        - Admin Orchestration
      summary: Get Graph Topology
      operationId: get_graph_topology_api_v1_admin_orchestration_graphs__graph_name__get
      parameters:
        - name: graph_name
          in: path
          required: true
          schema:
            type: string
            title: Graph Name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GraphTopology'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    GraphTopology:
      properties:
        graph_name:
          type: string
          title: Graph Name
        mermaid:
          type: string
          title: Mermaid
        nodes:
          additionalProperties:
            type: string
          type: object
          title: Nodes
      type: object
      required:
        - graph_name
        - mermaid
      title: GraphTopology
      description: Static description of a compiled LangGraph topology.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````